Subject: Re: [PATCH bpf] bpf: prevent out-of-bounds speculation

From: Alan Cox <[email-masked]>
Date: Wed, 17 Jan 2018 14:47:50 +0000

>  (c) isn't actually done in any real CPU's today that I'm aware of
> (unless you want to call the return stack data speculation).

There are processors out there today that data speculate.

For Intel family 6 Core, Knights and Atom today all is good.

Alan